Bug 439745 - dhcp problems with selinux
dhcp problems with selinux
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-30 23:56 EDT by Mark McConnell
Modified: 2008-05-02 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-02 16:16:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of selinux troubleshooting tool (3.88 KB, text/plain)
2008-03-30 23:56 EDT, Mark McConnell
no flags Details

  None (edit)
Description Mark McConnell 2008-03-30 23:56:31 EDT
Description of problem:

selinux policy prevents normal operation of dhcp on a wireless network, when the
local lan is configured as internal, and wireless is considered external.

Version-Release number of selected component (if applicable):


How reproducible:

If a computer is multihomed attempt to use dhcp on the external network.

Steps to Reproduce:
1. Connect to external network with dhcp enabled.
Actual results:

selinux blocks some actions. Connectivity is hit or miss.

Expected results:

Obtain a dhcp address without issues.

Additional info:

Submitter is a linux novice.
Comment 1 Mark McConnell 2008-03-30 23:56:31 EDT
Created attachment 299685 [details]
Output of selinux troubleshooting tool
Comment 2 Daniel Walsh 2008-03-31 02:09:53 EDT
Mark are you sure anything is being blockded.  IE Does your network work
properly.  THis looks like a leaked file descriptor or a redirection of stdout
which should just work.  Even though it reports all of these AVC Messages.

What tool are you using to startup the network?

Note You need to log in before you can comment on or make changes to this bug.